%define pd_version 0.42.5

%define dynext_revision 1557
%define dynext_version 0.1.2
%define dynext_svndate 20090715.165130

Summary: dyn~ - dynamic object management for PD
Name: pd-dyn
Version: %{dynext_version}
Release: 0.1.svn%{dynext_revision}%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://puredata.info/Members/thomas/dynext/
Source0: dynext-%{dynext_version}-svn%{dynext_revision}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

Requires: pd-extended >= %{pd_version}

BuildRequires: pd-flext-devel

%description
dyn~ - dynamic object management for PD.
start pd with "-lib dyn~"

%prep
%setup -q -n dynext-%{dynext_version}

%build
# remove all .svn directories
find . -type d -name .svn | xargs %{__rm} -rf

# we need a local copy of the buildsys flext environment so
# we can override the installation directory
(cd %{_libdir}/flext ; tar cf - buildsys build.sh)|tar xpf -

# go and build
SHARED=true ./build.sh pd gcc

%install
%{__rm} -rf %{buildroot}

# install in the right place
%{__perl} -p -i -e "s|/usr|%{buildroot}%{_prefix}|g" buildsys/config-lnx-pd-gcc.txt
SHARED=true ./build.sh pd gcc install

# manually install the help file
install -m 0644 pd/dyn~-help.pd %{buildroot}%{_libdir}/pd-extended/extra/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_libdir}/pd-extended/extra/dyn~.pd_linux
%{_libdir}/pd-extended/extra/dyn~-help.pd

%changelog
* Mon Nov 29 2010 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.1.2-0.1.svn1557
- build for fc14 and x86_64

* Wed Jul 15 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 0.2.2pre
- initial build, used to be part of pd-extended
